IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CP_Browse_Cbtes_Pedidos]') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE [dbo].[CP_Browse_Cbtes_Pedidos] 
END
GO

CREATE PROCEDURE [dbo].[CP_Browse_Cbtes_Pedidos]	@pId_Cliente		INT,
												@pId_Estado_Cbte	SMALLINT
AS
BEGIN

DECLARE @sqlStr		NVARCHAR(4000)

CREATE TABLE #BrowsePedidos (Comprobante	VARCHAR(50),
							UN				CHAR(10),
							Fecha			DATE,
							Cliente			INT,
							Razon_Social	VARCHAR(100),
							Suc				SMALLINT, 
							F_Estimada		DATE,
							DP_1			VARCHAR(100),
							DP_2			VARCHAR(100),
							O_Compra		VARCHAR(25),
							Id_Estado_Cbte	SMALLINT,
							Estado			VARCHAR(35),
							Importe			DECIMAL(12,2),
							Trans			INT)

SET @sqlStr =	N'SELECT ' +
				' dbo.CF_Descrip_Cbte(CB.Id_Trans) AS Comprobante, ' +
				' EUN.Id_Unid_Negocio AS UN, ' +
				--' CONVERT(DATE, CB.Fecha) AS Fecha, ' +
				' TR.Fecha_Mov AS Fecha, ' +
				' CL.Id_Cliente AS Cliente, ' +
				' CL.Razon_Social, ' +
				' CB.Id_Sucursal AS Suc, ' +
				' CONVERT(DATE, CB.Fecha_Estimada) AS F_Estimada, ' +
				' CB.Nota_Part1 AS DP_1, ' +
				' CB.Nota_Part2 AS DP_2,' +
				' CB.Cbte_Nro_Externo AS O_Compra, ' +
				' CB.Id_Estado_Cbte AS Id_Estado_Cbte, ' +
				' CE.Descripcion AS Estado, ' +
				' CB.Imp_Total AS Importe, ' +
				' CB.Id_Trans AS Trans ' +
				' FROM Cbtes CB, Cbtes_Tipos CT, Cbtes_Estados CE, Empresas_Unid_Negocios EUN, Clientes CL, Transacciones TR ' +
				' WHERE ' +
				' CB.Id_Tipo_Cbte = CT.Id_Tipo_Cbte ' +
				' AND CB.Id_Estado_Cbte = CE.Id_Estado_Cbte ' +
				' AND ISNULL(CT.Id_Unid_Negocio, '''') = EUN.Id_Unid_Negocio ' +
				' AND CB.Id_Cliente = CL.Id_Cliente ' +
				' AND CB.Id_Trans = TR.Id_Trans ' +
				' AND CT.Compromete_Pedido IN (1) ' +
				' AND CB.Id_Cliente = ' + CONVERT(VARCHAR(10), @pId_Cliente)

IF(@pId_Estado_Cbte <> -1)
BEGIN
	SET @sqlStr =	@sqlStr + 
					' AND CB.Id_Estado_Cbte = ' + CONVERT(VARCHAR(10), @pId_Estado_Cbte)
END

INSERT INTO #BrowsePedidos
EXECUTE sp_executesql @sqlStr


SELECT * FROM #BrowsePedidos

DROP TABLE #BrowsePedidos

END